edu.isi.pegasus.planner.client

## Class TCClient

- java.lang.Object
- - edu.isi.pegasus.planner.client.Executable
  - - edu.isi.pegasus.planner.client.TCClient

    public class TCClient
    extends Executable

A common client to add, modify, delete, query any Transformation Catalog implementation.

Version:
  $Revision$
Author:
  Gaurang Mehta

### Field Summary

Fields
`private int` `add`
`private java.util.Map` `argsmap`
`private int` `bulk`
`java.lang.String` `classname`
`private int` `delete`
`private java.lang.String` `file`
`private int` `islfn`
`private boolean` `isoldformat`
`private int` `ispfn`
`private int` `isprofile`
`private int` `isresource`
`private int` `issysinfo`
`private int` `istype`
`private boolean` `isxml`
`private java.lang.String` `lfn`
`private java.lang.String` `pfn`
`private java.lang.String` `profile`
`private int` `query`
`private java.lang.String` `resource`
`private java.lang.String` `system`
`private TransformationCatalog` `tc`
`private java.lang.String` `type`
`private Version` `version`

### Fields inherited from class edu.isi.pegasus.planner.client.Executable

`mLogger, mLogMsg, mProps, mVersion`

### Constructor Summary

Constructors
Constructor and Description
`TCClient()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `executeCommand()` Call the correct commands depending on options.
`gnu.getopt.LongOpt[]` `generateValidOptions()` Generates an array of valid `LongOpt` objects which contain all the valid options to the Executable.
`void` `initialize(java.lang.String[] opts)` Initialize the executable object
`void` `loadProperties()` Loads all the properties that would be needed by the Toolkit classes.
`static void` `main(java.lang.String[] args)`
`void` `printLongVersion()` This method is used to print the long version of the command.
`void` `printShortVersion()` This is used to print the short version of the command.
`protected void` `setupLogging()` Sets up the logging options for this class.

### Methods inherited from class edu.isi.pegasus.planner.client.Executable

`convertException, convertException, getCommandLineOptions, getEnvValue, getGVDSVersion, initialize, log, lookupConfProperty, sanityCheckOnProperties, setupLogging`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### classname

    public java.lang.String classname

#### add

    private int add

#### query

    private int query

#### delete

    private int delete

#### bulk

    private int bulk

#### islfn

    private int islfn

#### ispfn

    private int ispfn

#### isresource

    private int isresource

#### isprofile

    private int isprofile

#### istype

    private int istype

#### issysinfo

    private int issysinfo

#### isxml

    private boolean isxml

#### isoldformat

    private boolean isoldformat

#### lfn

    private java.lang.String lfn

#### pfn

    private java.lang.String pfn

#### profile

    private java.lang.String profile

#### type

    private java.lang.String type

#### resource

    private java.lang.String resource

#### system

    private java.lang.String system

#### file

    private java.lang.String file

#### tc

    private TransformationCatalog tc

#### argsmap

    private java.util.Map argsmap

#### version

    private Version version

### Constructor Detail

#### TCClient

    public TCClient()

### Method Detail

#### initialize

    public void initialize(java.lang.String[] opts)

Description copied from class: `Executable`
Initialize the executable object

Overrides:
  `initialize` in class `Executable`
Parameters:
  `opts` - the command line argument passed to the executable

#### loadProperties

    public void loadProperties()

Description copied from class: `Executable`
Loads all the properties that would be needed by the Toolkit classes.

Specified by:
  `loadProperties` in class `Executable`

#### setupLogging

    protected void setupLogging()

Sets up the logging options for this class. Looking at the properties file, sets up the appropriate writers for output and stderr.

#### generateValidOptions

    public gnu.getopt.LongOpt[] generateValidOptions()

Description copied from class: `Executable`
Generates an array of valid `LongOpt` objects which contain all the valid options to the Executable.

Specified by:
  `generateValidOptions` in class `Executable`

#### executeCommand

    public void executeCommand()

Call the correct commands depending on options.

Parameters:
  `opts` - String[] The arguments obtained from the command line.

#### printShortVersion

    public void printShortVersion()

Description copied from class: `Executable`
This is used to print the short version of the command.

Specified by:
  `printShortVersion` in class `Executable`

#### printLongVersion

    public void printLongVersion()

Description copied from class: `Executable`
This method is used to print the long version of the command.

Specified by:
  `printLongVersion` in class `Executable`

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`